This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 835574 - When setting up workspace, the dynamically generated classes are not added to classpath
When setting up workspace, the dynamically generated classes are not added to...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Build System (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 10:05 EDT by Jirka Kremser
Modified: 2013-09-01 06:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:06:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jirka Kremser 2012-06-26 10:05:25 EDT
Description of problem:
There are few modules, where some Java classes are generated during mvn build process. Unfortunately, IDE does not know about them and reports many errors. The generated sources come from xjc (xml schema to Java classes), antlr (Parser Generator) and GWT (Messages, Async interfaces).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.pull the project sources using git
2.import the project as a maven project
3.wait for errors
  
Actual results:
5202 errors in Eclipse

Expected results:
0 errors

Additional info:
Comment 1 Jirka Kremser 2012-06-26 12:05:50 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=2dc5e65

git log master
time:    Tue Jun 26 18:02:25 2012 +0200
commit:  2dc5e65abef4476d0b2a6247d258488688232888
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 835574 - When setting up workspace, the dynamically generated classes are not added to classpath] Solved using the org.codehaus.mojo:build-helper-maven-plugin. It adds the generated sources. NOTE: the mvn "process-resources" should be checked in the IDE Maven settings
Comment 2 Heiko W. Rupp 2013-09-01 06:06:08 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.